package sliz.elektromery;

import org.opencv.core.Rect;

public class FrameParams {
	public int empthyNum;
	public int lifeCyc;
	public Rect rect;
	
	public FrameParams(Rect aRect)
	{
		rect = aRect;
		empthyNum = 0;
		lifeCyc = 0;
	}
	
	public void MeanParams(Rect aRect)
	{
		
		// actualize size
		rect.width = (rect.width + aRect.width)/2;
		rect.height = (rect.height + aRect.height)/2;
		rect.x = (rect.x + aRect.x)/2;
		rect.y = (rect.y + aRect.y)/2;
 
	}
	
	public void IncLifeCyc()
	{
		lifeCyc++;
	}
}
